[SECURITY] [DLA 544-1] tcpreplay security update

2016-07-07T17:29:35
ID DEBIAN:DLA-544-1:FABAC
Type debian
Reporter Debian
Modified 2016-07-07T17:29:35

Description

Package : tcpreplay Version : 3.4.3-2+wheezy2 CVE ID : CVE-2016-6160 Debian Bug : 829350

The tcprewrite program, part of the tcpreplay suite, does not check the size of the frames it processes. Huge frames may trigger a segmentation fault, and such frames occur when caputuring packets on interfaces with an MTU of or close to 65536. For example, the loopback interface lo of the Linux kernel has such a value.

For Debian 7 "Wheezy", these problems have been fixed in version 3.4.3-2+wheezy2.

We recommend that you upgrade your tcpreplay packages.

Further information about Debian LTS security advisories, how to apply these updates to your system and frequently asked questions can be found at: https://wiki.debian.org/LTS